package com.cim.idm.wmspackage.invoice.management.data;

import java.sql.Date;
import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialReceiveRequestHistory extends FieldAccessor implements HistoryDataInfo<MaterialReceiveRequestHistoryKey> {

	private MaterialReceiveRequestHistoryKey key;
	private Timestamp eventTime; 
	private String eventName;
	private String eventUser;
	private String eventComment;
	private String receiveRequestType;
	private String systemType;
	private String purchaseOrderGroup;
	private String receiveRequestState;
	private String oldReceiveRequestState;
	private String supplierNO;
	private String oemSiteName;
	private String oemSiteInCharge;
	private String erpPoName;
	private String saveReason;
	private String respPerson;
	private String respDepart;
	private Timestamp solveTime;
		
	public MaterialReceiveRequestHistory() {
	}



	public MaterialReceiveRequestHistoryKey getKey() {
		return key;
	}



	public void setKey(MaterialReceiveRequestHistoryKey key) {
		this.key = key;
	}



	public Timestamp getEventTime() {
		return eventTime;
	}



	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}



	public String getEventName() {
		return eventName;
	}



	public String getErpPoName() {
		return erpPoName;
	}



	public void setErpPoName(String erpPoName) {
		this.erpPoName = erpPoName;
	}



	public void setEventName(String eventName) {
		this.eventName = eventName;
	}



	public String getEventUser() {
		return eventUser;
	}



	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}



	public String getEventComment() {
		return eventComment;
	}



	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}



	public String getReceiveRequestType() {
		return receiveRequestType;
	}



	public void setReceiveRequestType(String receiveRequestType) {
		this.receiveRequestType = receiveRequestType;
	}



	public String getSystemType() {
		return systemType;
	}



	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}



	public String getPurchaseOrderGroup() {
		return purchaseOrderGroup;
	}



	public void setPurchaseOrderGroup(String purchaseOrderGroup) {
		this.purchaseOrderGroup = purchaseOrderGroup;
	}



	public String getReceiveRequestState() {
		return receiveRequestState;
	}



	public void setReceiveRequestState(String receiveRequestState) {
		this.receiveRequestState = receiveRequestState;
	}



	public String getOldReceiveRequestState() {
		return oldReceiveRequestState;
	}



	public void setOldReceiveRequestState(String oldReceiveRequestState) {
		this.oldReceiveRequestState = oldReceiveRequestState;
	}



	public String getSupplierNO() {
		return supplierNO;
	}



	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}



	public String getOemSiteName() {
		return oemSiteName;
	}



	public void setOemSiteName(String oemSiteName) {
		this.oemSiteName = oemSiteName;
	}



	public String getOemSiteInCharge() {
		return oemSiteInCharge;
	}



	public void setOemSiteInCharge(String oemSiteInCharge) {
		this.oemSiteInCharge = oemSiteInCharge;
	}
	public String getSaveReason() {
		return saveReason;
	}

	public void setSaveReason(String saveReason) {
		this.saveReason = saveReason;
	}
	public String getRespPerson() {
		return respPerson;
	}

	public void setRespPerson(String respPerson) {
		this.respPerson = respPerson;
	}
	public String getRespDepart() {
		return respDepart;
	}
	public void setRespDepart(String respDepart) {
		this.respDepart = respDepart;
	}
	public Timestamp getSolveTime() {
		return solveTime;
	}

	public void setSolveTime(Timestamp solveTime) {
		this.solveTime = solveTime;
	}

}
